My Project: dht::ImMessage Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
dht::ImMessage Class Reference
Inheritance diagram for dht::ImMessage:
[legend]
Collaboration diagram for dht::ImMessage:
[legend]

## Public Member Functions
| ImMessage (dht::Value::Id id, std::string &&m, long d=0)
| ImMessage (dht::Value::Id id, std::string &&dt, std::string &&m, long d=0)
| ImMessage (dht::Value::Id id, std::string &&dt, std::string &&m, std::map< std::string, std::string > &&md, long d=0)
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< Derived, Base >
virtual const ValueType & | getType () const
virtual Value | packValue () const

## Static Public Member Functions
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< ImMessage >
static Value::Filter | getFilter ()

## Public Attributes
dht::InfoHash | to
dht::Value::Id | id {0}
std::string | msg
std::string | datatype
std::map< std::string, std::string > | metadatas
long | date {0}
ImStatus | status {ImStatus::NONE}
Public Attributes inherited from dht::SignedValue< ImMessage >
Sp< crypto::PublicKey > | owner
dht::InfoHash | from

## Static Public Attributes
static const ValueType | TYPE

## Detailed Description

Definition at line 95 of file default_types.h.

## Constructor & Destructor Documentation

## ◆ ImMessage() [1/4]

dht::ImMessage::ImMessage | ( |  | ) |
| inline

Definition at line 103 of file default_types.h.

## ◆ ImMessage() [2/4]

dht::ImMessage::ImMessage | ( | dht::Value::Id | id,
|  | std::string && | m,
|  | long | d = 0 )
| inline

Definition at line 104 of file default_types.h.

## ◆ ImMessage() [3/4]

dht::ImMessage::ImMessage | ( | dht::Value::Id | id,
|  | std::string && | dt,
|  | std::string && | m,
|  | long | d = 0 )
| inline

Definition at line 109 of file default_types.h.

## ◆ ImMessage() [4/4]

dht::ImMessage::ImMessage | ( | dht::Value::Id | id,
|  | std::string && | dt,
|  | std::string && | m,
|  | std::map< std::string, std::string > && | md,
|  | long | d = 0 )
| inline

Definition at line 115 of file default_types.h.

## Member Function Documentation

## ◆ getFilter()

Value::Filter dht::ImMessage::getFilter | ( |  | ) |
| inlinestatic

Definition at line 129 of file default_types.h.

## ◆ unpackValue()

virtual void dht::ImMessage::unpackValue | ( | const Value & | v | ) |
| inlineoverridevirtual

Reimplemented from dht::SignedValue< ImMessage >.

Definition at line 123 of file default_types.h.

## Member Data Documentation

## ◆ datatype

std::string dht::ImMessage::datatype

Definition at line 134 of file default_types.h.

## ◆ date

long dht::ImMessage::date {0}

Definition at line 136 of file default_types.h.

## ◆ id

dht::Value::Id dht::ImMessage::id {0}

Definition at line 132 of file default_types.h.

## ◆ metadatas

std::map<std::string, std::string> dht::ImMessage::metadatas

Definition at line 135 of file default_types.h.

## ◆ msg

std::string dht::ImMessage::msg

Definition at line 133 of file default_types.h.

## ◆ status

ImStatus dht::ImMessage::status {ImStatus::NONE}

Definition at line 137 of file default_types.h.

## ◆ to

dht::InfoHash dht::ImMessage::to

Definition at line 131 of file default_types.h.

## ◆ TYPE

const ValueType dht::ImMessage::TYPE
| static

Definition at line 101 of file default_types.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/default_types.h